filter:
    excluded_paths:
          - tests/*
checks:
    php: true
coding_style:
    php:
        indentation:
            general:
                size: 1
build:
    tests:
        override:
            -
                command: 'phpunit --coverage-clover=build/logs/clover.xml'
                coverage:
                    file: 'build/logs/clover.xml'
                    format: 'clover'
    nodes:
        php54:
            environment:
                php: 5.4

        php56:
            environment:
                php: 5.6
        php71:
            environment:
                php: 7.1
        php72:
            environment:
                php: 7.2